-- Customer specific once-script

SET ECHO ON
SPOOL xVENR#30093.lst
SET DEFINE OFF
SET SERVEROUTPUT ON

-- Geef alle pesonen met login en zonder wachtwoord een dummy password.
-- Personen op afdelingen van OCI (key=2) zijn hiervoor uitgesloten
DECLARE
   CURSOR c
   IS
      SELECT   1392367647150 * prs_perslid_key ww, prs_perslid_key
        FROM   prs_perslid
       WHERE       prs_perslid_verwijder IS NULL
               AND prs_perslid_wachtwoord_hash IS NULL
               AND prs_perslid_oslogin IS NOT NULL
               AND prs_afdeling_key NOT IN (SELECT   prs_afdeling_key
                                              FROM   prs_v_afdeling_boom
                                             WHERE   prs_bedrijf_key = 2);
BEGIN
   FOR rec IN c
   LOOP
      BEGIN
         prs.setpassword (rec.prs_perslid_key, TO_CHAR (rec.ww));
         DBMS_OUTPUT.put_line('key '||rec.prs_perslid_key||': ww '||rec.ww);
      END;
   END LOOP;

   COMMIT;
END;
/

BEGIN adm.systrackscriptId('$Id$'); END;
/

COMMIT;

SET SERVEROUTPUT OFF
SPOOL OFF